## gdk-pixbuf Xlib initialization gdk-pixbuf Xlib initialization — Initializing the gdk-pixbuf Xlib library. |

## Functions

void | gdk_pixbuf_xlib_init ()
void | gdk_pixbuf_xlib_init_with_depth ()

## Includes

    #include <gdk-pixbuf/gdk-pixbuf.h>

## Description

In addition to the normal Gdk-specific functions, the &gdk-pixbuf; package provides a small library that lets Xlib-only applications use GdkPixbuf structures and render them to X drawables. The functions in this section are used to initialize the &gdk-pixbuf; Xlib library. This library must be initialized near the beginning of the program or before calling any of the other &gdk-pixbuf; Xlib functions.

## Functions

### gdk_pixbuf_xlib_init ()

    void
    gdk_pixbuf_xlib_init (Display *display,
                          int screen_num);

Initializes the gdk-pixbuf Xlib machinery by calling `xlib_rgb_init()`. This function should be called near the beginning of your program, or before using any of the gdk-pixbuf-xlib functions.

#### Parameters

display | X display to use. |
screen_num | Screen number. |

### gdk_pixbuf_xlib_init_with_depth ()

    void
    gdk_pixbuf_xlib_init_with_depth (Display *display,
                                     int screen_num,
                                     int prefDepth);

Similar to `gdk_pixbuf_xlib_init()`, but also lets you specify the preferred depth for XlibRGB if you do not want it to use the default depth it picks.

#### Parameters

display | X display to use. |
screen_num | Screen number. |
prefDepth | Preferred depth for XlibRGB. |

## Types and Values

## See Also

XlibRGB